%ext ck4
%version 1.4

%gamemaps xmm_maps.ck4
%maphead xmmhead.ck4
%ckmhead.obj xmm_mhed.obj
%egahead xmm_egah.ck4
%egagraph xmm_grph.ck4
%patchfile $249C2 x_k4_mm.tli	#Change the tile info.


#### KEEN!? ####
%patch $2FF0E $08 $00 #displayspeed frame 1 (default 06)
%patch $2FF2C $08 $00 #displayspeed frame 2 (default 06)
%patch $2FF4A $08 $00 #displayspeed frame 3 (default 06)
%patch $2FF68 $08 $00 #displayspeed frame 4 (default 06)

%patch $2FF10 $22 $00 #movement speed frame1 (default 18 00)
%patch $2FF2E $22 $00 #movement speed frame2 (default 18 00)
%patch $2FF4C $22 $00 #movement speed frame3 (default 18 00)
%patch $2FF6A $22 $00 #movement speed frame4 (default 18 00)

####################################
## Story Text, Star-Wars Scroller ##
####################################
# The story is 471 bytes long, and ends at $1F03B.           
#patch orig.: "Episode Four:" $0A "Secret of the Oracle"
%patch $1EE40 "Episode BraceR" $0A "Xky's KeenF MiniMod"
# Each line can be 24 characters wide, max--and since
#  we need a character to give the carridge return
#   command, that leaves 23 characters of text 
#    available for use per line.
#patch WIDTH  "|---------------------|"		#Total: 253 chars
%patch $1EE64 "This KeenF mod is not" $0A	
              "a complete mod.  It's" $0A	
              "an entry in Andy's" $0A	
              "KeenF Mini-Mod" $0A
	      "Contest." $0A $0A $0A
              "To complete a level," $0A
              "herd the smile-faced" $0A
              "QuillSheep together at" $0A
              "the area with a target" $0A
              "on it." $0A $0A 
	      "They will show you the" $0A
              "way out." $0A $0A $0A
	      "Good Luck!" $0A $00 $00 $00 $00 $00
	      $00 $00 $00 $00 $00 $00
#########################
## End of Story Text!! ##
#########################


#######################
## Inchworm Trickery ##
#######################

#Inchworms spawn the Wetsuit instead... 
#monster type (same as the values in the "eggs make arachnuts" thread) 
%patch $10fde $34 $3A 
#behavior (if not changed, will act like foot despite looking like other things) 
%patch $10fdB $1E $00 
#vertical location--the default is 00 05.  Lower values are closer to the ground. 
%patch $10fd7 $00 $06 
#smoke puff 1 -- upper puff  # These positional patches are in three parts: 
%patch $10FF9 $2D $00 $00    # 
%patch $11006 $2D $80 $01    # The first determines whether to add or subtract 
#smoke puff 2 -- left puff   # on the X/Y plane (i.e. moving left/right on X, 
%patch $1102D $2D $80 $01    # up/down on Y). $2D subtracts; $05 adds. 
%patch $1103A $05 $00 $00    # 
#smoke puff 3 -- right puff  # The next two are part of a word 
%patch $11061 $05 $80 $01    # which defines the distance in fractions of 16. 
%patch $1106E $2D $00 $00    # 
#smoke puff 4 -- lower puff  # The first patch statement is the X coordinate, 
###### ###### (no X here)    # and the second is the Y.  Good luck! 
%patch $1109F $05 $80 $01    # 
# Had to do a plus sign (+) rather than a square (::) due to the fact that 
# the 4th puff doesn't change its X value.  I might be able to code it in, 
# but that would over-write part of the (potentially unused) foot code. 
# For now, the (+) formation is generic enough to get the job done.  :)

#Inchworms move a little faster
%patch $31D14 $0A $00 #default $1E $00
%patch $31D32 $0A $00 #default $1E $00

#Change wetsuit message
#default msg: "Cool!  I can breathe" $0A "under water now!" $00
%patch $30A4B "There!  That wasn't " $0A "too difficult..." $00

# What comes out of the Eggs?  Inchworms!!
%patch $10135 $9A $2E 
# What behavior comes out of the Eggs?  Inchworms!!
%patch $100F5 $10 $00
# How high off the ground do they spawn?  Inchworms!!  Wait... 0!!
%patch $10106 $C0 $FF

###################################
## End Inchworm Wetsuit Trickery ##
###################################


#################
## The Bounder ##
#################

%patch $11166 $12 $2F #Shooting the Bounder doesn't kill him 
%patch $11174 $0F $00 #Keen can still stand on the Bounder, even after he's been shot 
%patch $11179 $4D     #Bounder gets a bit more height when shot--watch your timing 
%patch $111BC $E3 $FF #default is $CE $FF; Jump Height

#################
## End Bounder ##
#################


# INFINITE AMMO!
%patch $E57E $90 $90 $90 $90


#Let's disable the F1 "Help!" menu--we don't want to
#have to patch all that text and info, so we'll just
#prevent a player from accessing it!
#This patch skips the "Did the keyboard press F1?" check
%patch $7933 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 
	     $90 $90  



###########
## LICK? ##
###########

#Spawn an Inchworm instead of a dead Lick
%patch $1140E $9A $2E #$2E $31
#When the Lick dies, it's type changes to Inchworm.
%patch $B484 $10 $00 
#Lick doesn't breathe fire!
%patch $113B9 $20 $30 #Lick Lands instead of Breathes
#Lick makes a 'jump' noise instead of fire noise.
%patch $113AB $02 $00 #20 00 default sound
# Height for short hops 
%patch $113DA $DD $FF  # default is -32 
# Making this number smaller will make the Lick's leap less high, and shorter as a result. 
# Height for long hops 
%patch $113F5 $C0 $FF  # default is -16 
# Making this number smaller will make the Lick's leap taller, and longer as a result. 


##########################
## Level Names and such ##
##########################

%patch $1F1F0 " Keen explores " 
%patch $1F200 " Fucl Corp." 
%patch $1f210 "Keen gets schooled  " 
%patch $1f225 "in the Tutorial.  " 
%patch $1f240 "Keen catapults " 
%patch $1f250 "thru Level 2" 
%patch $1f260 "Keen needs to take" 
%patch $1f273 "it slow in Level 3. "      
%patch $1f290 "Keen makes it to the" 
%patch $1f2A5 "finale--but can" 
%patch $1F2b5 "he beat it?" 
%patch $1F040 "Fucl Corp. "    
%patch $1F050 "The Tutorial  " 
%patch $1F060 "Catapult Way" 
%patch $1F070 "A Cramped Corner"      
%patch $1F090 "A room full of nothing?" 


%end
